[tox]
envlist = py38,pep8
minversion = 2.0
skipsdist = True
ignore_basepython_conflict = True

[testenv]
basepython = python3
usedevelop = True
setenv = VIRTUAL_ENV={envdir}
         DJANGO_SETTINGS_MODULE=muranodashboard.tests.settings
passenv = http_proxy HTTP_PROXY https_proxy HTTPS_PROXY no_proxy NO_PROXY
deps = -c{env:TOX_CONSTRAINTS_FILE:https://releases.openstack.org/constraints/upper/yoga}
       -r{toxinidir}/requirements.txt
       -r{toxinidir}/test-requirements.txt
       http://tarballs.openstack.org/heat-dashboard/heat-dashboard-master.tar.gz
commands =
  {toxinidir}/manage.py test muranodashboard --settings=muranodashboard.tests.settings

[testenv:pep8]
sitepackages = False
commands = flake8

[testenv:venv]
commands = {posargs}

[testenv:cover]
commands =
  coverage erase
  coverage run -a {toxinidir}/manage.py test muranodashboard --settings=muranodashboard.tests.settings
  coverage html -d cover
  coverage xml -o cover/coverage.xml
  coverage report

[testenv:pyflakes]
deps = flake8
commands = flake8

[testenv:eslint]
deps = -r{toxinidir}/test-requirements.txt
passenv = *
commands = nodeenv -p
           npm install
           npm run lint

[testenv:docs]
deps = -c{env:TOX_CONSTRAINTS_FILE:https://releases.openstack.org/constraints/upper/yoga}
       -r{toxinidir}/doc/requirements.txt
commands = sphinx-build -W -b html doc/source doc/build/html

[testenv:releasenotes]
deps = {[testenv:docs]deps}
commands = sphinx-build -a -E -W -d releasenotes/build/doctrees -b html releasenotes/source releasenotes/build/html

[flake8]
# H202: assertRaises Exception too broad
ignore = H202,W504
show-source = true
builtins = _
exclude=build,.git,.tox,dist,doc,*lib/python*,*egg,tools,horizon,settings.py,*/local/*,functional_tests,node_modules
